# vim: set sw=4 ts=4 et nu:

Name:               ncdc
Version:            0.3
Release:            0.pm.1.1
Summary:            Lightweight Direct Connect Client
Source:             http://dev.yorhel.nl/download/ncdc-%{version}.tar.gz
Source1:            ncdc.desktop
Patch1:             ncdc-remove_build_date.patch
URL:                http://dev.yorhel.nl/ncdc
Group:              Productivity/Networking/Other
License:            MIT License
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      ncurses-devel
BuildRequires:      libbz2-devel
BuildRequires:      glib2-devel
BuildRequires:      libxml2-devel
BuildRequires:      gdbm-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files

%description
Ncdc is a modern and lightweight direct connect client with a friendly ncurses
interface. 

%prep
%setup -q
%patch1

%build
export SUSE_ASNEEDED=0
%configure
%__make %{?_smp_flags}

%install
%makeinstall

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" Network FileTransfer

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/ncdc
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Jul 21 2011 pascal.bleser@opensuse.org
- update to 0.3:
  * added file list browser
  * added downloading of other people's file list
  * added 'hubname' setting to rename hub tabs
  * added -v, -c and -n commandline options
  * added -n option to /open to prevent an autoconnect
  * added referer notification
  * improved handling of some ADC commands
  * improved logging of debug messages
  * fixed error when uploading an empty file list
  * fixed display of join/quits on ADC hubs
  * fixed several crashes
- changes from 0.2:
  * ADC support
  * added slot granting and /grant command
  * added /kick (for NMDC hubs)
  * added /pm and /nick aliasses
  * added support for passworded login
  * added /me command (mostly useful for ADC hubs)
  * added /whois command
  * added 'share_hidden' option (default: false)
  * improved minislots support
  * added 'minislots' and 'minislot_size' options
  * slightly improved user list and connection list
  * /set displays default values for unset options
* Wed Jun 22 2011 pascal.bleser@opensuse.org
- initial version (0.1)
